package com.yiqi.core.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.ClothSpeed;

/**
 * 洗衣速度Service接口
 *
 * @author xiaohei
 * @date 2023-08-20
 */
public interface IClothSpeedService extends IService<ClothSpeed> {
    /**
     * 查询洗衣速度
     *
     * @param id 洗衣速度主键
     * @return 洗衣速度
     */
    public ClothSpeed selectClothSpeedById(Long id);

    /**
     * 查询洗衣速度列表
     *
     * @param clothSpeed 洗衣速度
     * @return 洗衣速度集合
     */
    public List<ClothSpeed> selectClothSpeedList(ClothSpeed clothSpeed);

    /**
     * 新增洗衣速度
     *
     * @param clothSpeed 洗衣速度
     * @return 结果
     */
    public int insertClothSpeed(ClothSpeed clothSpeed);

    /**
     * 修改洗衣速度
     *
     * @param clothSpeed 洗衣速度
     * @return 结果
     */
    public int updateClothSpeed(ClothSpeed clothSpeed);

    /**
     * 批量删除洗衣速度
     *
     * @param ids 需要删除的洗衣速度主键集合
     * @return 结果
     */
    public int deleteClothSpeedByIds(Long[] ids);

    /**
     * 删除洗衣速度信息
     *
     * @param id 洗衣速度主键
     * @return 结果
     */
    public int deleteClothSpeedById(Long id);


    /**
     * 修改洗衣速度状态
     *
     * @param clothSpeed 洗衣速度
     * @return 结果
     */
    public int updateClothSpeedStatus(ClothSpeed clothSpeed);

}
